From now on, custom distros that doesn't ship systemd as the init will not be supported.
systemd allows us to bring enhanced sandbox experience
| Git Clone URL: | https://aur.archlinux.org/wechat.git (read-only, click to copy) |
|---|---|
| Package Base: | |
| Description: | Fixes and optional sandbox for WeChat. |
| Upstream URL: | https://github.com/Kraftland/portable |
| Keywords: | binary qt sandbox universal wechat |
| Licenses: | GPL3 |
| Provides: | wechat-beta-bwrap, wechat-bwrap, wechat-portable, wechat-sandbox-provider, wechat-universal-bwrap, wechat-uos-bwrap, wechat-uos-qt |
| Replaces: | wechat-bwrap |
| Submitter: | Kimiblock |
| Maintainer: | Kimiblock |
| Last Packager: | Kimiblock |
| Votes: | 50 |
| Popularity: | 0.85 |
| First Submitted: | 2024-06-30 11:27 (UTC) |
| Last Updated: | 2026-07-17 02:10 (UTC) |
« First ‹ Previous 1 .. 41 42 43 44 45 46 47 48 49 50 51 .. 59 Next › Last »
From now on, custom distros that doesn't ship systemd as the init will not be supported.
systemd allows us to bring enhanced sandbox experience
@Freed I have no idea how your X11 session is configured. But right now, you can right click the app icon and select Disable Sandbox to launch it without sandbox protection.
I use lxqt on X11. echo $DISPLAY will return :0.
@Freed do you have any XWayland / X server running and accessible?
提供一个 KDE6 Wayland 下解决缩放&输入法的修改:
diff --git a/usr/bin/wechat-universal b/home/ferstar/.local/bin/wechat-universal
index 57d10f1..df5585a 100755
--- a/usr/bin/wechat-universal
+++ b/home/ferstar/.local/bin/wechat-universal
@@ -1,5 +1,34 @@
#!/bin/bash
+ENVS=()
+
+env_add() {
+ ENVS+=("${1}=${2}")
+}
+
+case "$XDG_CURRENT_DESKTOP" in
+ KDE)
+ env_add QT_AUTO_SCREEN_SCALE_FACTOR "$(kreadconfig6 --group KScreen --key ScaleFactor --default 1.0)"
+ ;;
+ *)
+ QT_AUTO_SCREEN_SCALE_FACTOR=${QT_AUTO_SCREEN_SCALE_FACTOR:-1}
+ ;;
+esac
+
+case "${XMODIFIERS}" in
+ *@im=fcitx*)
+ echo "Workaround for fcitx applied"
+ env_add QT_IM_MODULE fcitx
+ env_add GTK_IM_MODULE fcitx
+ ;;
+ *@im=ibus*)
+ echo "Workaround for ibus applied"
+ env_add QT_IM_MODULE ibus
+ env_add GTK_IM_MODULE ibus
+ env_add IBUS_USE_PORTAL 1
+ ;;
+esac
+
MOUNTS=(
/etc/os-release=/usr/share/wechat-universal/etc/os-release
/etc/lsb-release=/usr/share/wechat-universal/etc/lsb-release
@@ -21,5 +50,5 @@ coproc mounter {
exec {out}>>/dev/fd/${mounter[1]} {in}</dev/fd/${mounter[0]}
-exec unshare --mount --user --map-user=$(id -u) --map-group=$(id -g) --map-users=auto --map-groups=auto --keep-caps --setgroups allow /bin/bash --noprofile --norc -c "echo \$\$ >&${out} && exec ${out}>&- || exit \$? ; read -u ${in} && exec ${in}<&- && \"\$@\" ; exit $?" unshare /opt/wechat-universal/wechat
+exec unshare --mount --user --map-user=$(id -u) --map-group=$(id -g) --map-users=auto --map-groups=auto --keep-caps --setgroups allow /bin/bash --noprofile --norc -c "echo \$\$ >&${out} && exec ${out}>&- || exit \$? ; read -u ${in} && exec ${in}<&- && \"\$@\" ; exit $?" unshare env "${ENVS[@]}" /opt/wechat-universal/wechat
exit $?
Full log:
$ wechat-uos-qt
[Warn] No ${XAUTHORITY} detected! Do you have any X server running?
Launching WeChat UOS...
ls: cannot access '/dev/video*': No such file or directory
[Info] Sourcing env vars...
Authorization required, but no authorization protocol specified
qt.qpa.xcb: could not connect to display :0
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
Available platform plugins are: xcb.
[0420/184541.472923:ERROR:elf_dynamic_array_reader.h(64)] tag not found
[0420/184541.472979:ERROR:elf_dynamic_array_reader.h(64)] tag not found
[0420/184541.478373:ERROR:directory_reader_posix.cc(42)] opendir /home/wzy/.xwechat/crashinfo/attachments/7cf5d8b5-86dc-4b3d-aef6-fafd42a77ba8: No such file or directory (2)
@mio-19 Android will probably be ignored since it’s not Arch, but you can post diff and I’ll merge it when I’m free
@Freed try adding a line WAYLAND_DISPLAY= in ~/.local/share/WeChat_Data/wechat.env and post the complete log.
qt.qpa.xcb: could not connect to display :0
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
Available platform plugins are: xcb.
dependencies of Qt is missing?
archlinux arm chroot on android,xfce4,执行了一些修改以后可以看到登录界面
其中android内核不支持--unshare为安卓专有的更改
sudo sed -i 's|--unshare-all||g' /usr/bin/wechat-uos-qt
sudo mkdir -p /usr/lib64
sudo sed -i 's|bwrap|bwrap --ro-bind /lib /lib|g' /usr/bin/wechat-uos-qt
sudo sed -i 's|--symlink usr/lib /lib||g' /usr/bin/wechat-uos-qt
mkdir -p "${XDG_RUNTIME_DIR}/pulse"
Pinned Comments
Kimiblock commented on 2026-02-06 09:47 (UTC)
Notice: Portable has been rewritten in Go, and dropped unsafe mode in the process. Users who disable sandbox are required to do a manual intervention, please pick one of the following:
portable-legacyto continue using the old version of PortableSorry for inconvenience, the unsafe mode is not well tested while porting and we decided to drop it to reduce maintain burden.
Kimiblock commented on 2024-11-13 11:11 (UTC) (edited on 2025-02-07 07:10 (UTC) by Kimiblock)
右键应用程序图标可与微信共享文件. 其将被放置在沙盒的
~/Shared中.WeChat_Data/portable.env 中的环境变量将会自动导入至微信.
不支持纯 Wayland 环境, 微信并未构建 Wayland 模块.
Kimiblock commented on 2024-11-13 11:09 (UTC)
若要查看使用手册, 访问 https://wiki.archlinuxcn.org/wiki/WeChat
For user manual and internal document, consult https://wiki.archlinux.org/title/WeChat
st0ne commented on 2024-07-27 16:00 (UTC) (edited on 2024-07-31 04:35 (UTC) by st0ne)
KDE Plasma 添加阴影
1.添加阴影
在微信界面,ALT+F3 -> 更多操作 -> 配置特殊窗口设置 -> 添加属性 -> 添加 外观和修正 下面的 无标题栏和边框 -> 将 初始状态应用 改为 强制,将后面的 是 切换称 否 -> 应用
2.去除标题栏
之后微信就有边框阴影了,但是微信多了个标题栏。
设置 -> 颜色和主题 -> 窗口装饰元素 -> 找到你在用的主题右下角的编辑 -> 切换到 特定窗口优先规则 -> 添加 -> 检测窗口属性... -> 选中微信窗口 直到 匹配正则表达式 那里出现 wechat -> 勾选 装饰选项 下面的 隐藏窗口标题栏 -> 确定 -> 应用